Автор Тема: не запускается AnyDesk  (Прочитано 320 раз)

Оффлайн miksht

  • Начинающий
  • *
  • Сообщений: 4
не запускается AnyDesk
« : 12.04.2022 11:45:58 »
Добрый день!
Установил AnyDesk-6.1.1-1.-el8/x86_64. но при попытке его запустить появляется сообщение, что он запускает и дальше тишина.
Подскажите, что с эти делать и куда копать? Переустановка не помогла.

Онлайн NickM

  • Завсегдатай
  • *
  • Сообщений: 588
Re: не запускается AnyDesk
« Ответ #1 : 12.04.2022 11:59:27 »
Попробуйте запустить в терминале, может что прояснится?

Оффлайн miksht

  • Начинающий
  • *
  • Сообщений: 4
Re: не запускается AnyDesk
« Ответ #2 : 12.04.2022 14:37:20 »
Спасибо, я попробую.

Оффлайн miksht

  • Начинающий
  • *
  • Сообщений: 4
Re: не запускается AnyDesk
« Ответ #3 : 13.04.2022 09:07:23 »
Попробуйте запустить в терминале, может что прояснится?

К сожалению ничего не прояснилось. Результат тот-же: запускается и тишина...

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 059
    • Email
Re: не запускается AnyDesk
« Ответ #4 : 13.04.2022 09:37:48 »
p9 или p10 ?
Сноси Винду, переходи на Линукс ! :)

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 059
    • Email
Re: не запускается AnyDesk
« Ответ #5 : 13.04.2022 09:38:44 »
у меня на p9 устанавливается через epm версия 6.0.1 и потом нормально запускается:
epm play anydesk
Сноси Винду, переходи на Линукс ! :)

Оффлайн miksht

  • Начинающий
  • *
  • Сообщений: 4
Re: не запускается AnyDesk
« Ответ #6 : 13.04.2022 10:52:27 »

Оффлайн rits

  • Завсегдатай
  • *
  • Сообщений: 818
  • ITS
Re: не запускается AnyDesk
« Ответ #7 : 13.04.2022 12:40:20 »
А так работает?
su -l
cd /tmp
wget https://download.anydesk.com/linux/anydesk-6.0.1-1.el8.i686.rpm
apt-get install ./anydesk-6.0.1-1.el8.i686.rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано anydesk.32bit для './anydesk-6.0.1-1.el8.i686.rpm'
Следующие дополнительные пакеты будут установлены:
  anydesk.32bit i586-bzlib.32bit i586-fontconfig.32bit i586-glib2.32bit i586-glibc-core.32bit i586-glibc-pthread.32bit i586-libEGL-mesa.32bit
  i586-libEGL.32bit i586-libGL.32bit i586-libGLU.32bit i586-libGLX-mesa.32bit i586-libGLX.32bit i586-libICE.32bit i586-libSM.32bit
  i586-libX11.32bit i586-libXau.32bit i586-libXcomposite.32bit i586-libXcursor.32bit i586-libXdamage.32bit i586-libXdmcp.32bit
  i586-libXext.32bit i586-libXfixes.32bit i586-libXft.32bit i586-libXi.32bit i586-libXinerama.32bit i586-libXmu.32bit i586-libXrandr.32bit
  i586-libXrender.32bit i586-libXt.32bit i586-libXtst.32bit i586-libXxf86vm.32bit i586-libatk.32bit i586-libavahi.32bit i586-libblkid.32bit
  i586-libbrotlicommon.32bit i586-libbrotlidec.32bit i586-libcairo.32bit i586-libcups.32bit i586-libdatrie.32bit i586-libdbus.32bit
  i586-libdrm.32bit i586-libelf.32bit i586-libexpat.32bit i586-libffi7.32bit i586-libfreetype.32bit i586-libfribidi.32bit i586-libgbm.32bit
  i586-libgcc1.32bit i586-libgcrypt20.32bit i586-libgdk-pixbuf.32bit i586-libgio.32bit i586-libglvnd.32bit i586-libgmp10.32bit
  i586-libgnutls30.32bit i586-libgpg-error.32bit i586-libgraphite2.32bit i586-libgtk+2.32bit i586-libharfbuzz.32bit i586-libhogweed6.32bit
  i586-libidn2.32bit i586-libjbig.32bit i586-libjpeg.32bit i586-liblz4.32bit i586-liblzma.32bit i586-libmount.32bit i586-libnettle8.32bit
  i586-libp11-kit.32bit i586-libpango.32bit i586-libpciaccess.32bit i586-libpcre3.32bit i586-libpixman.32bit i586-libpng16.32bit
  i586-libpolkit.32bit i586-libselinux.32bit i586-libstdc++6.32bit i586-libsystemd.32bit i586-libtasn1.32bit i586-libthai.32bit
  i586-libtiff5.32bit i586-libunistring2.32bit i586-libuuid.32bit i586-libwayland-client.32bit i586-libwayland-server.32bit
  i586-libwebp7.32bit i586-libxcb.32bit i586-libxkbfile.32bit i586-libxshmfence.32bit i586-libzstd.32bit i586-zlib.32bit libGLU
Следующие НОВЫЕ пакеты будут установлены:
  anydesk.32bit i586-bzlib.32bit i586-fontconfig.32bit i586-glib2.32bit i586-glibc-core.32bit i586-glibc-pthread.32bit i586-libEGL-mesa.32bit
  i586-libEGL.32bit i586-libGL.32bit i586-libGLU.32bit i586-libGLX-mesa.32bit i586-libGLX.32bit i586-libICE.32bit i586-libSM.32bit
  i586-libX11.32bit i586-libXau.32bit i586-libXcomposite.32bit i586-libXcursor.32bit i586-libXdamage.32bit i586-libXdmcp.32bit
  i586-libXext.32bit i586-libXfixes.32bit i586-libXft.32bit i586-libXi.32bit i586-libXinerama.32bit i586-libXmu.32bit i586-libXrandr.32bit
  i586-libXrender.32bit i586-libXt.32bit i586-libXtst.32bit i586-libXxf86vm.32bit i586-libatk.32bit i586-libavahi.32bit i586-libblkid.32bit
  i586-libbrotlicommon.32bit i586-libbrotlidec.32bit i586-libcairo.32bit i586-libcups.32bit i586-libdatrie.32bit i586-libdbus.32bit
  i586-libdrm.32bit i586-libelf.32bit i586-libexpat.32bit i586-libffi7.32bit i586-libfreetype.32bit i586-libfribidi.32bit i586-libgbm.32bit
  i586-libgcc1.32bit i586-libgcrypt20.32bit i586-libgdk-pixbuf.32bit i586-libgio.32bit i586-libglvnd.32bit i586-libgmp10.32bit
  i586-libgnutls30.32bit i586-libgpg-error.32bit i586-libgraphite2.32bit i586-libgtk+2.32bit i586-libharfbuzz.32bit i586-libhogweed6.32bit
  i586-libidn2.32bit i586-libjbig.32bit i586-libjpeg.32bit i586-liblz4.32bit i586-liblzma.32bit i586-libmount.32bit i586-libnettle8.32bit
  i586-libp11-kit.32bit i586-libpango.32bit i586-libpciaccess.32bit i586-libpcre3.32bit i586-libpixman.32bit i586-libpng16.32bit
  i586-libpolkit.32bit i586-libselinux.32bit i586-libstdc++6.32bit i586-libsystemd.32bit i586-libtasn1.32bit i586-libthai.32bit
  i586-libtiff5.32bit i586-libunistring2.32bit i586-libuuid.32bit i586-libwayland-client.32bit i586-libwayland-server.32bit
  i586-libwebp7.32bit i586-libxcb.32bit i586-libxkbfile.32bit i586-libxshmfence.32bit i586-libzstd.32bit i586-zlib.32bit libGLU
0 будет обновлено, 90 новых установлено, 0 пакетов будет удалено и 0 не будет обновлено.
Необходимо получить 15,6MB/19,6MB архивов.
После распаковки потребуется дополнительно 61,2MB дискового пространства.
Продолжить? [Y/n] n
Прервано.
Мусора тянет много, не стал пробовать, но на симплах недавно запускал без проблем. Только уже не скажу точно как.

rpm -qpl ./anydesk-6.0.1-1.el8.i686.rpm
/etc/systemd/system/anydesk.service
/etc/xdg/autostart/anydesk.desktop
/usr/bin/anydesk
/usr/lib/anydesk
/usr/lib/anydesk/libgdkglext-x11-1.0.so.0
/usr/lib/anydesk/libgdkglext-x11-1.0.so.0.0.0
/usr/lib/anydesk/libgtkglext-x11-1.0.so.0
/usr/lib/anydesk/libgtkglext-x11-1.0.so.0.0.0
/usr/lib/anydesk/libpangox-1.0.so.0
/usr/lib/anydesk/libpangox-1.0.so.0.0.0
/usr/libexec/anydesk
/usr/share/applications/anydesk.desktop
/usr/share/doc/anydesk-6.0.1
/usr/share/doc/anydesk-6.0.1/BUNDLED-LIBS
/usr/share/doc/anydesk-6.0.1/COPYING.LIB.gtkglext
/usr/share/doc/anydesk-6.0.1/COPYING.pangox-compat
/usr/share/doc/anydesk-6.0.1/copyright
/usr/share/icons/hicolor/16x16/apps/anydesk.png
/usr/share/icons/hicolor/24x24/apps/anydesk.png
/usr/share/icons/hicolor/256x256/apps/anydesk.png
/usr/share/icons/hicolor/32x32/apps/anydesk.png
/usr/share/icons/hicolor/48x48/apps/anydesk.png
/usr/share/icons/hicolor/scalable/apps/anydesk.svg
/usr/share/man/man1/anydesk.1.gz
/usr/share/pixmaps/anydesk.png
/usr/share/pixmaps/anydesk.xpm
/usr/share/polkit-1/rules.d/com.philandro.anydesk.policy

хотя пардон, это 32, 64 вроде норм
apt-get install ./anydesk-6.1.0-1.el8.x86_64.rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано anydesk для './anydesk-6.1.0-1.el8.x86_64.rpm'
Следующие дополнительные пакеты будут установлены:
  anydesk libGLU
Следующие НОВЫЕ пакеты будут установлены:
  anydesk libGLU
0 будет обновлено, 2 новых установлено, 0 пакетов будет удалено и 0 не будет обновлено.
Необходимо получить 171kB/4311kB архивов.
После распаковки потребуется дополнительно 14,6MB дискового пространства.
Продолжить? [Y/n] n
Прервано.

Если продолжить установку, то после под пользователем выполнить
cp /usr/share/applications/anydesk.desktop ~/Рабочий\ стол/
chmod +x ~/Рабочий\ стол/anydesk.desktop
На xfce-sysv-64 p10 работает.
« Последнее редактирование: 13.04.2022 12:58:56 от rits »

Оффлайн berkut_174

  • Мастер
  • ***
  • Сообщений: 7 059
    • Email
Re: не запускается AnyDesk
« Ответ #8 : 13.04.2022 12:41:19 »
Сноси Винду, переходи на Линукс ! :)